| Earth Observation Mission CFI Software Visibility Software User Manual |

Public Member Functions | Public Attributes

# EECFI::OrbitExtra Class Reference

Class to extract orbital extra information. More...

Inheritance diagram for EECFI::OrbitExtra:

List of all members.

## Public Member Functions
| OrbitExtra ()
| Empty Class constructor.
| OrbitExtra (const ANXTime &orbitInfo) throw (CfiError)
| Class constructor with parameters.
void | set (const ANXTime &orbitInfo) throw (CfiError)
| Set parameters.
| ~OrbitExtra () throw (CfiError)
| Class destructor.
OrbitExtraInfo | orbitExtra (const vector< double > &sunZenitAngles) throw (CfiError)
| It gets the orbital information related to Sun zenith angles and Sun occultations by the Earth and the Moon.
## Public Attributes
OrbitalInfo | orbitalInfo
| Orbital information (as returned from ANXTime::getOrbitInfo).

## Detailed Description

Class to extract orbital extra information.

## Constructor & Destructor Documentation

EECFI::OrbitExtra::OrbitExtra | ( |  | ) |

Empty Class constructor.

If any calculation is going to be done, set method must be called first, in order to calculate the orbit information needed for calculations.

EECFI::OrbitExtra::OrbitExtra | ( | const ANXTime & | orbitInfo | ) | throw (CfiError)

Class constructor with parameters.

ANXTime is used to compute the orbit extra parameters needed, so it must have been initialised with OrbitId information.

Parameters:

  | orbitInfo | ANXTime object used to calculate orbit information; it must have been initialised with OrbitId.

EECFI::OrbitExtra::~OrbitExtra | ( |  | ) | throw (CfiError)

Class destructor.

## Member Function Documentation

OrbitExtraInfo EECFI::OrbitExtra::orbitExtra | ( | const vector< double > & | sunZenitAngles | ) | throw (CfiError)

It gets the orbital information related to Sun zenith angles and Sun occultations by the Earth and the Moon.

This method computes for an input orbit, the times for:

- an input set of Sun zenit angles are reached (both up and down times are computed)
- Sun ocultations by the Earth.
- Sun ocultations by the Moon.

Parameters:

  | sunZenitAngles | List of sun zenit angles to compute [deg]. Allowed range: >=0; <=180.

Returns:
  Orbit extra information.

References EECFI::CfiError::addMsg(), EECFI::OrbitExtraInfo::eclipseEntry, EECFI::OrbitExtraInfo::eclipseExit, EECFI::OrbitExtraInfo::sunMoonEntry, EECFI::OrbitExtraInfo::sunMoonExit, EECFI::OrbitExtraInfo::szaDown, and EECFI::OrbitExtraInfo::szaUp.

void EECFI::OrbitExtra::set | ( | const ANXTime & | orbitInfo | ) | throw (CfiError)

Set parameters.

ANXTime is used to compute the orbit extra parameters needed, so it must have been initialised with OrbitId information.

Parameters:

  | orbitInfo | ANXTime object used to calculate orbit information; it must have been initialised with OrbitId.

References EECFI::CfiError::addMsg().

## Member Data Documentation

OrbitalInfo EECFI::OrbitExtra::orbitalInfo

Orbital information (as returned from ANXTime::getOrbitInfo).